package com.gree.mall.manager.enums.ums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public enum UmsTraceStatusEnum implements BaseEnum {

    NOT("0","待处理"),
    SUCCESS("1","处理成功"),
    FAIL("2","处理失败"),;

    @JsonValue
    @EnumValue
    private final String key;
    private final String remark;

}
